///////////////////////////////////////////////////////////////////

//     Param DNS domain {{ domain_name }}

///////////////////////////////////////////////////////////////////

acl internals { 127.0.0.0/8; {{ vagrant_node_network_base }}.0/24; };


include "/etc/bind/named.conf.options";

include "/etc/bind/{{ domain_name }}_rndc-key";

controls {

        inet 127.0.0.1 port 953 allow { 127.0.0.1; };

};

// be authoritative for the localhost forward and reverse zones, and for

// broadcast zones as per RFC 1912

zone "localhost" {

        type master;

        file "/etc/bind/db.local";

};

zone "127.in-addr.arpa" {

        type master;

        file "/etc/bind/db.127";

};

zone "0.in-addr.arpa" {

        type master;

        file "/etc/bind/db.0";

};

zone "255.in-addr.arpa" {

        type master;

        file "/etc/bind/db.255";

};

include "/etc/bind/named.conf.local";
